////////////////////
// Scroll Symbols //
////////////////////

var targetObj;

function init(bricVersion)
{
	targetObj = $('editarea div');
	window.webkit.messageHandlers.debug.postMessage("Current Bric Version = "+bricVersion);
}


// Set Symbol Style
function setSymbolType(tagValue,targetAttr)
{
	targetObj.removeClass('mouse-symbol device-symbol');

	if (tagValue == 0) // Mouse
	{
		targetObj.addClass('mouse-symbol');
	}
	else if (tagValue == 1) // Device
	{
		targetObj.addClass('device-symbol');
	}
	window.webkit.messageHandlers.sync.postMessage("changes"); // Sync Changes
}

// Set Animation Style
function setAnimationType(tagValue,targetAttr)
{
	targetObj.removeClass('slow-touch-scroll fast-touch-scroll fast-invert-touch-scroll');

	if (tagValue == 0) // Slow
	{
		targetObj.addClass('slow-touch-scroll');
	}
	else if (tagValue == 1) // Fast
	{
		targetObj.addClass('fast-touch-scroll');
	}
	else if (tagValue == 2) // Fast Invert
	{
		targetObj.addClass('fast-invert-touch-scroll');
	}
	window.webkit.messageHandlers.sync.postMessage("changes"); // Sync Changes
}

// Set Symbol Theme
function setSymbolTheme(V)
{
	targetObj.toggleClass('mouse-symbol-light');	
	window.webkit.messageHandlers.sync.postMessage("changes"); // Sync Changes
}
